<?php
/**
 * SimpleXMLExtended Class
 *
 * Extends the default PHP SimpleXMLElement class by 
 * allowing the addition of cdata
 *
 * @since 1.0
 *
 * @param string $cdata_text
 */
class SimpleXMLExtended extends SimpleXMLElement{   
  public function addCData($cdata_text){   
   $node= dom_import_simplexml($this);   
   $no = $node->ownerDocument;   
   $node->appendChild($no->createCDATASection($cdata_text));   
  } 
} 

/**
 * Get XML Data
 *
 * Turns the XML file into an object 
 *
 * @since 1.0
 *
 * @param string $file
 * @return object
 */
function getXML($file) {
	$xml = file_get_contents($file);
	$data = simplexml_load_string($xml, 'SimpleXMLExtended', LIBXML_NOCDATA);
	return $data;
}

/**
 * XML Save
 *
 * @since 2.0
 * @todo create and chmod file before ->asXML call (if it doesnt exist already, if so, then just chmod it.)
 *
 * @param object $xml
 * @param string $file Filename that it will be saved as
 * @return bool
 */
function XMLsave($xml, $file) {
	$success = $xml->asXML($file) === TRUE;
}

/**
 * Clean URL
 *
 * @since 1.0
 *
 * @param string $text
 * @return string
 */
function clean_url($text)  { 
	$text = strip_tags(strtolower($text)); 
	$code_entities_match = array(' ?',' ','--','&quot;','!','@','#','$','%','^','&','*','(',')','+','{','}','|',':','"','<','>','?','[',']','\\',';',"'",',','/','*','+','~','`','=','.'); 
	$code_entities_replace = array('','-','-','','','','','','','','','','','','','','','','','','','','','','','',''); 
	$text = str_replace($code_entities_match, $code_entities_replace, $text); 
	$text = urlencode($text);
	$text = str_replace('--','-',$text);
	$text = rtrim($text, "-");
	return $text; 
} 

include ("traducir.php");
$tr_cont= traducir1();
//-----------------------------------------------------------------//
//-----------------------------------------------------------------//
//-----------------------------------------------------------------//
  $err='';
  session_start();
  $imagenCadena = $_SESSION["imagencadena"]; 
  $pot = trim(strtolower($imagenCadena));
  $server_name = getenv ("SERVER_NAME");       // Server Name
  $request_uri = getenv ("REQUEST_URI");       // Requested UR
  $miarr = '';

//------------------------
//START CONTACT
//------------------------
 if (@$_GET['tp'] == 'contact') { 

	if (isset($_POST['contact-submit'])) {
	         $log_file= $_POST['contact']['q_file'];
                 $EMAIL = $_POST['contact']['q_email'];
		 $MIURL = $_POST['contact']['q_uri'];
		 $sendphpmail = $_POST['contact']['q_send'];
                 $qcaptcha =  $_POST['contact']['q_captcha'];
		 $posmiar= strpos($MIURL, 'miarr=');
                 if ($posmiar){
		      $MIURL = substr($MIURL,0, $posmiar - 1);	 
 		      $_POST['guest']['q_uri'] = $MIURL;
		 }

                 if ($qcaptcha==true) {
	             if ( $pot == trim(strtolower($_POST['contact']['pot']))) {
        	          $captcha = $_POST['contact']['pot'];
        	     }
	             else {
 		 	  $err = $tr_cont['MSG_CAPTCHA_FAILED'];
		     }
                 }

		 if ( $_POST['contact'][$tr_cont['Em']] != '' ) {
                      if ($_POST['contact'][$tr_cont['Em']]!= $tr_cont['em_text']){
			//$from =  $_POST['contact']['email'];
                      } else {
                        $_POST['contact']['email']='---';
		      }
                 }
                 $from =  $tr_cont['CONTACT_FORM_SUB'];
       
		 if ( $_POST['contact'][$tr_cont['Sub']] != '' ) {
			$subject = $_POST['contact'][$tr_cont['Sub']];
		 } else { 
			$subject = $tr_cont['CONTACT_FORM_SUB'];
		 } 

		$temp = $_POST['contact'];
		$captcha = $_POST['contact']['pot'];
                $temp[$tr_cont['Ms']] = $_POST[$tr_cont['Ms']];

		if ($err == '' && trim($_POST['contact'][$tr_cont['Em']]) !='' && trim($_POST[$tr_cont['Ms']]) !='') {

			$headers = "From: ".$from."\r\n";
			$headers .= "Return-Path: ".$from."\r\n";
			$headers .= "Content-type: text/html; charset=UTF-8 \r\n";

			unset($temp['pot']);
			unset($temp['contact-submit']);
			unset($temp['submit']);

			$body = '"'.$subject.'" '.$tr_cont['WHO'].': http://'.$server_name.$request_uri.' <br />';
			$body .= "-----------------------------------<br /><br />";


			if ( ! file_exists($log_file) ) {
               			 $xml = new SimpleXMLExtended('<channel></channel>');
			} else
			{
				$xmldata = file_get_contents($log_file);
		                $xml = new SimpleXMLExtended($xmldata);
			}

			$thislog = $xml->addChild('entry');
			$thislog->addChild('date', date('r'));
			$cdata = $thislog->addChild('from');
			$cdata->addCData($from);
			$cdata = $thislog->addChild('subject');
			$cdata->addCData(htmlentities($subject, ENT_QUOTES, 'UTF-8'));
			$cdata = $thislog->addChild('captcha');
			$cdata->addCData($captcha);
			$cdata = $thislog->addChild('ip_address');
			$ip = getenv("REMOTE_ADDR"); 
			$cdata->addCData(htmlentities($ip, ENT_QUOTES, 'UTF-8'));
                        $body .= "Ip: ". $ip ."<br />"; 
			foreach ( $temp as $key => $value ) {
			    if (substr($key, 0, 2) != 'q_') {
				$body .= ucfirst($key) .": ". $value ."<br />";
				$cdata = $thislog->addChild(clean_url($key));
				$cdata->addCData(htmlentities($value, ENT_QUOTES, 'UTF-8'));
			    }
			}
			XMLsave($xml, $log_file);
                        $seg = 2;  
                        if ($sendphpmail== '') {
			    $result = mail($EMAIL,$subject,$body,$headers);
                        } else if ($sendphpmail== true) {
                            if (is_dir('../PHPMailer_v5.1') and file_exists('../PHPMailer_v5.1/class.phpmailer.php')){
				
				require('../PHPMailer_v5.1/class.phpmailer.php');   
  				$message = new PHPMailer(true); // the true param means it will throw exceptions on errors, which we need to catch
                                $message->CharSet = "utf-8"; 
                                $message->SMTPDebug = false;    // enables SMTP debug information (for testing)
                                                                   // false = disabled debug
                                                                   // 1 = errors and messages
                                                                   // 2 = messages only

        			$message->IsSMTP();            // telling the class to use SMTP
                                $message->SMTPAuth = true;     // enable SMTP authentication

                        /*        //GMAIL Configuration
        	     	  	$message->SMTPSecure = "ssl";                 // sets the prefix to the servier
        			$message->Host       = "smtp.gmail.com";      // sets GMAIL as the SMTP se
        			$message->Port       = 465;                   // set the SMTP port for the GMAIL server
        			$message->Username   = "youuser@gmail.com";   // GMAIL user account: youuser@gmail.com
        			$message->Password   = "youpass";         // GMAIL passwordrver 
                                $message->From   = "youuser@gmail.com";       // you GMAIL email 
                      */          //end GMAIL Configuration

                                //ONO configuration     
                       /*       $message->SMTPSecure = "";                  // sets the prefix to the servier
        			$message->Host       = "smtp.ono.com";       // sets ONO as the SMTP server
        			$message->Port       = 25;                   // set the SMTP port for the ONO server
        			$message->Username   = "username";               // ONO username 
        			$message->Password   = "pass";            // ONO password
                                $message->From   = "user@ono.com";           // you ono email 
                       */       //end ONO Configuration

                                //HOTMAIL configuration     
        			$message->SMTPSecure = "tls";                   // sets the prefix to the servier
        			$message->Host       = "smtp.live.com";         // sets hotmail as the SMTP server
        			$message->Port       = 587;                     // set the SMTP port for hotmail server
        			$message->Username   = "youuser@hotmail.com";  // hotmail user account
        			$message->Password   = "yourpass";               // hotmail password
                                $message->From   = "youruser@hotmail.com";      // you hotmail email 
                              //end HOTMAIL Configuration

        			$message->AddAddress($EMAIL, '');  //Recipient's address set 
        			$message->Subject = $subject;
                                $message->FromName   = $from;
        			$message->MsgHTML("$body");
			        $result=$message->Send();
                           } else {
                                echo strtoupper($tr_cont['errphphmail']).'<br />';
                           }
			}

			//results	
			if ($result=='1') {
				$msgshw = $tr_cont['MSG_CONTACTSUC'].'<br /><br />';
			} else {
                                $seg = 10;  
				$msgshw = '<p>'.$tr_cont['MSG_guestERR'].'</p><br />';
                                $msgshw .= "Mailer Error: " . $mail->ErrorInfo;
			}
		} else { //finaliza if err=''
                            $miarr = '';
                            $miarr = serialize($temp);
                            $miarr = urlencode($miarr);
                            if (strpos($MIURL, '?')){
                                $miarr = '&amp;miarr='.$miarr;
                            } else {
                                $miarr = '?miarr='.$miarr;
                            }    
                            //Si hay algún error en captcha ó campos vacíos.
                             $seg = 6;
		     if (trim($err) !=''){
			$msgshw = '<p>'.$err.'.<br />Captcha code: '.$pot.'<br / >Code wrote: '.$_POST['contact']['pot'].'</p><br /><br />';
		     }
	             else {
			$msgshw = '*** '.strtoupper($tr_cont['Co']).' ***<br /><br />';
		     }
		}

	}
  }

  echo '<html>';
  echo '<head>';
  echo '<meta http-equiv="Refresh" content="'.$seg.';url=http://'.$server_name.$MIURL.$miarr.'">';
  echo '</head>';
  echo '<body>';
  echo '<div style="padding: 20px; border: 4px double; margin: 20%;">';
  echo $msgshw;
  echo $tr_cont['redir'].$seg.$tr_cont['redir1'].$tr_cont['back'].'.<br />';
  echo '<a href="http://'.$server_name.$MIURL.$miarr.'">'.$tr_cont['back'].'</a>';
  echo '</div>';
  echo '</body>';
  echo '</html>';
?>
